//
// @doc
//
// @file TABSORT.CPP |
//
// Test Application.
//
#define VC_EXTRALEAN   // Exclude rarely-used stuff from Windows headers

#include <afxwin.h>    // MFC core and standard components
#include <afxext.h>    // MFC extensions
#include <afxdisp.h>   // MFC Automation classes
#include <afxdtctl.h>  // MFC support for Internet Explorer 4 Common Controls

#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>    // MFC support for Windows Common Controls
#endif

//
#include "dlg.hpp"

/************************************************
*
*                 APPLICATION
*
************************************************/

class TestApp : public CWinApp
{
public:
  TestApp();

  virtual BOOL InitInstance();

  DECLARE_MESSAGE_MAP()
};

/************************************************
*
*                 APPLICATION
*
************************************************/

TestApp theApp;

BEGIN_MESSAGE_MAP(TestApp, CWinApp)
END_MESSAGE_MAP()

//
// 'TestApp::TestApp'
//
TestApp::TestApp(): CWinApp(_T("Test Application"))
{
}

//
// 'TestApp::InitInstance'
//
BOOL TestApp::InitInstance()
{
  // Display our main dialog 
  TestDlg dlg;
  //m_pMainWnd = &dlg;
  dlg.DoModal();

  // Since the dialog has been closed, return FALSE so that we exit the
  //  application, rather than start the application's message pump.
  return(FALSE);
}

// END TABSORT.CPP